Delete Event
curl --request DELETE \
--url https://api.decodahealth.com/check-in/calendar/delete/{event_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/check-in/calendar/delete/{event_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/check-in/calendar/delete/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eventIds": [
"<string>"
],
"googleCalendarFailures": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Calendar and Appointments
Delete Event
Delete (cancel) a single event occurrence — an appointment, shift, or block.
DELETE
/
check-in
/
calendar
/
delete
/
{event_id}
Delete Event
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Query Parameters
Enum representing the different modes for handling recurring event modifications Used when modifying recurring events to specify which occurrences should be affected
Available options:
this, future, all Whether to send SMS notification when deleting an appointment
Custom cancellation message to send to patient

